using System;
using System.Drawing;
using System.Drawing.Printing;

namespace ReflectionIT.Common.Reporting
{
	/// <summary>
	/// A ReportPageBreak is used force a page-break
	/// </summary>
	public class ReportPageBreak : IReportItem
	{

		/// <summary>
		/// destructor
		/// </summary>
		public void Dispose()
		{
			System.GC.SuppressFinalize(this);
		}

		float IReportItem.Print(PrintPageEventArgs ev, float x, float y, Font font)
		{
			return ev.PageBounds.Height;
		}
	}
}
