using System;
using System.Collections;

namespace PrinterTest
{
	/// <summary>
	/// Summary description for ReportRowCollection.
	/// </summary>
	public class ReportRowCollection : IEnumerable 
	{
		private ArrayList mRows = new ArrayList();

		public void Add(ReportRow row)
		{
			mRows.Add(row);
		}

		public int Count
		{
			get { return mRows.Count; }
		}

		public ReportRow this[int index]
		{
			get { return (ReportRow)mRows[index]; }
		}

		public IEnumerator GetEnumerator()
		{
			return mRows.GetEnumerator();
		}
	}
}
